Bug 1270177 - the "Upgrade" button is always gray on rhevm portal which block RHEV-H upgrade process.
the "Upgrade" button is always gray on rhevm portal which block RHEV-H upgrad...
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
3.6.0
Unspecified Unspecified
medium Severity high
: ovirt-3.6.0-rc3
: 3.6.0
Assigned To: Moti Asayag
Pavel Stehlik
infra
:
Depends On:
Blocks: 1182089 1184398 1194068 1206139
  Show dependency treegraph
 
Reported: 2015-10-09 04:24 EDT by cshao
Modified: 2016-02-10 14:03 EST (History)
17 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-13 05:10:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/*.* + sosreport + engine.log (6.14 MB, application/x-gzip)
2015-10-09 04:24 EDT, cshao
no flags Details

  None (edit)
Description cshao 2015-10-09 04:24:57 EDT
Created attachment 1081209 [details]
/var/log/*.* + sosreport + engine.log

Description of problem:
Can't upgrade RHEV-H via RHEV-M web UI.

Version-Release number of selected component (if applicable):
rhev-hypervisor7-7.2-20150928.0
ovirt-node-3.3.0-0.10.20150928gite7ee3f1.el7ev.noarch
vdsm-4.17.8-1.el7ev.noarch
RHEV-M 3.6.0-0.18.el6


How reproducible:
100%

Steps to Reproduce:
1. Install RHEV-H via PXE.
2. Register RHEV-H to RHEV-M.
3. Approve RHEV-H to up status.
4. Maintenance the host.
5. Try to upgrade RHEV-H via RHEV-M web UI.
6. Back to RHEV-H, check network config.


Actual results:
After step 5, the "upgrade" button show as gray, user can't click it.
After step 6, In RHEV-H side, Networking show as Unknown.


# cat /etc/default/ovirt 
MANAGED_IFNAMES="ovirtmgmt"
OVIRT_BOOTIF="enp63s0"
OVIRT_BOOTPARAMS="ksdevice=bootif rd.dm=0 rd.md=0 crashkernel=256M lang= max_loop=256 rhgb quiet elevator=deadline rd.live.check rd.luks=0 rd.live.image nomodeset"
OVIRT_BOOTPROTO="dhcp"
OVIRT_CONFIG_VERSION="3.3.0"
OVIRT_FIRSTBOOT="0"
OVIRT_HOSTED_ENGINE_IMAGE_PATH=""
OVIRT_HOSTED_ENGINE_PXE="yes"
OVIRT_INIT=""
OVIRT_INSTALL=""
OVIRT_INSTALL_ROOT="y"
OVIRT_KDUMP_LOCAL="true"
OVIRT_KEYBOARD_LAYOUT="us"
OVIRT_MANAGEMENT_SERVER=""
OVIRT_NODE_REGISTER="True"
OVIRT_ROOT_INSTALL="y"
OVIRT_SSH_PORT="22"
OVIRT_SSH_PWAUTH="yes"
OVIRT_STANDALONE="1"
OVIRT_UPGRADE=""
OVIRT_USE_STRONG_RNG=""
OVIRT_VOL_CONFIG_SIZE="5111"
OVIRT_VOL_DATA_SIZE="281404"
OVIRT_VOL_EFI_SIZE="256"
OVIRT_VOL_LOGGING_SIZE="2048"
OVIRT_VOL_ROOT_SIZE="4300"
OVIRT_VOL_SWAP_SIZE="7826"
OVIRT_MANAGEMENT_PORT="None"


Expected results:
Can upgrade RHEV-H via RHEV-M web UI.

Additional info:
Comment 1 Fabian Deutsch 2015-10-09 04:37:48 EDT
Please ensure that before step 4 (or 5) an RHEV-H rpm is instaleld on the Engine side with a newer version of RHEV-H compared to what the host is running.
Comment 2 cshao 2015-10-09 05:00:25 EDT
(In reply to Fabian Deutsch from comment #1)
> Please ensure that before step 4 (or 5) an RHEV-H rpm is instaleld on the
> Engine side with a newer version of RHEV-H compared to what the host is
> running.

1. Install RHEV-H via PXE.
2. Register RHEV-H to RHEV-M.
3. Approve RHEV-H to up status.
4. Login engine host, run yum install rhev-hypervisor7-7.2-20150928.0.el7ev.noarch.rpm
5. back to RHEVM web UI, Maintenance the host.
6. Try to upgrade RHEV-H via RHEV-M web UI.

After installed rhevh rpm, still can't upgrade via RHEVM
Comment 3 Fabian Deutsch 2015-10-09 05:09:46 EDT
After looking at Engine I see:

1. RHEV-H host is 20150928
2. RPM installed on Engine contains 20150928

This will not trigger the upragde logic of Engine.

Please retry this bug once a new (and higher) RHEV-H 3.6 rpm is available.

Then: Install this new rpm on Engine, and wait a few minutes to get a suggestion to update the host.
Comment 4 Ying Cui 2015-10-09 06:12:26 EDT
(In reply to Fabian Deutsch from comment #3)
> After looking at Engine I see:
> 
> 1. RHEV-H host is 20150928
> 2. RPM installed on Engine contains 20150928
> 
> This will not trigger the upragde logic of Engine.

not related this logic.

Still can reproduce this issue as the following steps on RHEV-M 3.6.0-0.18.el6

1. TUI clean installed rhevh 7.1-20150917 successful.
2. Add rhevh via rhevm portal successful(DC: 3.5), and UP yet.
3. Maintenance the 7.1 rhevh
4. the "Upgrade" button is gray.

Note: I am sure I already installed rhevh 7.2 20150928 rpm on engine yet.

> 
> Please retry this bug once a new (and higher) RHEV-H 3.6 rpm is available.
> 
> Then: Install this new rpm on Engine, and wait a few minutes to get a
> suggestion to update the host.
Comment 5 Fabian Deutsch 2015-10-09 06:22:04 EDT
Moving this to infra, as it's really about the button.
Comment 6 Oved Ourfali 2015-10-10 02:09:43 EDT
Reduced urgency. 
I'm not sure at what frequency the updates are checked on RHEV-H after the host upgrade manager feature. 

Did you check that it isn't available after a few hours?

Assigning to Moti.
Comment 7 Ying Cui 2015-10-10 02:28:20 EDT
(In reply to Oved Ourfali from comment #6)
> Reduced urgency. 
> I'm not sure at what frequency the updates are checked on RHEV-H after the
> host upgrade manager feature. 

Most customer upgrade rhevh via RHEVM portal by using this button.
So all rhevh upgrade via rhevm portal cases about 40 test cases are blocked by this bug. We have to consider it is urgent, otherwise rhevh upgrade via rhevm these test cases can not be tested. Thanks.

> 
> Did you check that it isn't available after a few hours?

it is not available after 24 hours as our test. 

> 
> Assigning to Moti.
Comment 8 Ying Cui 2015-10-12 22:10:53 EDT
with this issue, QE can not test upgrade rhevh via rhevm3.6, so about 40 test cases are blocked by this bug. 

We have to escalate this bug severity to Urgent to make more attention.

Note You need to log in before you can comment on or make changes to this bug.